//
// Written by Dr Ashton Fagg <ajf@afware.io>.
//
// Edited by Lugaru Software 23 Sept 2024

#include "eel.h"
#include "proc.h"

//
// For a buffer that is either C or C++, run clang-format.
// It's assumed that the clang-format style is defined
// in a file in the top of the repo - as such, the -file
// option is passed to the executable.
//

#define CLANG_FORMAT_EXE "c:\\Tools\\clang-format\\clang-format.exe"

command clang_format()
{
	// Make sure process starts in same directory as file, so
	// clang-format finds its config file.
	save_var start_process_in_buffer_directory = 2;

    if (!strcmp(major_mode, "c"))
        error("File is not a C or C++ file!");	

    char cmdargs[FNAMELEN];
    sprintf(cmdargs, "-i --style=file %s", filename);

    if (shell_with_args(CLANG_FORMAT_EXE, cmdargs) != 0) {
        error("clang-format not successful!");
    }

    say("clang-format ran successfully!");
}
